curl -X POST https://api.bouncy.ai/v1/domains \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domain": "go.example.com",
"isDefault": true
}'
const response = await fetch('https://api.bouncy.ai/v1/domains', {
method: 'POST',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
domain: 'go.example.com',
isDefault: true
})
});
const result = await response.json();
console.log('Connected domain:', result.domain);
console.log('DNS records to configure:', result.dnsRecords);
import requests
response = requests.post(
'https://api.bouncy.ai/v1/domains',
headers={
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'domain': 'go.example.com',
'isDefault': True
}
)
result = response.json()
print(f"Connected domain: {result['domain']}")
print(f"DNS records: {result['dnsRecords']}")
{
"id": "dom_abc123xyz",
"domain": "go.example.com",
"verified": false,
"isDefault": true,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"createdAt": "2026-02-06T12:00:00Z"
}
{
"error": {
"code": "invalid_domain",
"message": "Invalid domain format. Domain should not include protocol (http/https)",
"field": "domain"
}
}
{
"error": {
"code": "domain_already_connected",
"message": "This domain is already connected to your account or another account"
}
}
Domains
Connect Domain
Connect a custom domain to your Bouncy.ai account
POST
/
v1
/
domains
curl -X POST https://api.bouncy.ai/v1/domains \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domain": "go.example.com",
"isDefault": true
}'
const response = await fetch('https://api.bouncy.ai/v1/domains', {
method: 'POST',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
domain: 'go.example.com',
isDefault: true
})
});
const result = await response.json();
console.log('Connected domain:', result.domain);
console.log('DNS records to configure:', result.dnsRecords);
import requests
response = requests.post(
'https://api.bouncy.ai/v1/domains',
headers={
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'domain': 'go.example.com',
'isDefault': True
}
)
result = response.json()
print(f"Connected domain: {result['domain']}")
print(f"DNS records: {result['dnsRecords']}")
{
"id": "dom_abc123xyz",
"domain": "go.example.com",
"verified": false,
"isDefault": true,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"createdAt": "2026-02-06T12:00:00Z"
}
{
"error": {
"code": "invalid_domain",
"message": "Invalid domain format. Domain should not include protocol (http/https)",
"field": "domain"
}
}
{
"error": {
"code": "domain_already_connected",
"message": "This domain is already connected to your account or another account"
}
}
Request
Headers
Body
After connecting a domain, you must verify DNS records before it can be used. See the Verify Domain endpoint.
Response
curl -X POST https://api.bouncy.ai/v1/domains \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domain": "go.example.com",
"isDefault": true
}'
const response = await fetch('https://api.bouncy.ai/v1/domains', {
method: 'POST',
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
domain: 'go.example.com',
isDefault: true
})
});
const result = await response.json();
console.log('Connected domain:', result.domain);
console.log('DNS records to configure:', result.dnsRecords);
import requests
response = requests.post(
'https://api.bouncy.ai/v1/domains',
headers={
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'domain': 'go.example.com',
'isDefault': True
}
)
result = response.json()
print(f"Connected domain: {result['domain']}")
print(f"DNS records: {result['dnsRecords']}")
{
"id": "dom_abc123xyz",
"domain": "go.example.com",
"verified": false,
"isDefault": true,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"createdAt": "2026-02-06T12:00:00Z"
}
{
"error": {
"code": "invalid_domain",
"message": "Invalid domain format. Domain should not include protocol (http/https)",
"field": "domain"
}
}
{
"error": {
"code": "domain_already_connected",
"message": "This domain is already connected to your account or another account"
}
}